Skip to content

Get contact by ID

Request

Security
oauth2(Required scopes: contact:read) or bearerAuth or apiKeyHeader
Path
personIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

A Borrower's unique identifier, tied to a person or a business. Can be Peach or a lender's external identifier.

contactIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

The contact ID.

GET
/people/{personId}/contacts/{contactId}
curl -i -X GET \
  'https://sandboxapi.peach.finance/api/people/{personId}/contacts/{contactId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
messagestring

Description of the server action or error.

statusinteger

HTTP status code.

dataobject(contactInformation)

The contact details. A contact can be email, phone, address, etc. The name attribute is optional, and is useful for third-party contacts such as spouse, attorney, etc.

Response
{ "message": "string", "status": 0, "data": { "createdAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "id": "string", "updatedAt": "2019-08-24T14:15:22Z", "address": { … }, "affiliation": "self", "authorizedThirdParty": false, "companyId": "string", "contactType": "phone", "externalId": "string", "label": "personal", "name": "string", "object": "contact", "personId": "string", "phoneDisconnectionDetails": { … }, "powerOfAttorney": false, "receiveTextMessages": false, "receiveTextMessagesLastConsentAt": "2019-08-24T14:15:22Z", "status": "primary", "valid": true, "value": "string", "verified": false, "redactedFields": [ … ] } }